function init(hero) {
    hero.setName("One Punch Man");
    hero.setTier(6);
    
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("legacyheroes:saitama_power", "fiskheroes:near_invulnerability");
    hero.addAttribute("PUNCH_DAMAGE", 25, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 4.0, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);

    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
}
